### Constructor

# Goa Client new_sync

#### Declaration [src]

    GoaClient*
    goa_client_new_sync (
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously gets a `GoaClient`.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GoaClient`

A `GoaClient`, or `NULL` with `error` set.

The caller of the function takes ownership of the data, and is responsible for freeing it.